function objecteAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) { xmlhttp = false; }
	}
	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function mostraCalendari(dia,mes,any){
	divDreta = document.getElementById('dretacalendari');
	
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/calendari.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4)
	  {
	    divDreta.innerHTML = ajax.responseText
	    canviTitol(dia,mes,any);
	  }
 	}
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+dia+"&mes="+mes+"&any="+any)
}

function canviTitol(dia,mes,any){
	divTitol = document.getElementById('titol_on_soc');	
	
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/titolVisites.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4)
	  {
	    divTitol.innerHTML = ajax.responseText
		mostraVisites();
	  }
 	}
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+dia+"&mes="+mes+"&any="+any)
}

function mostraVisites(){
	
	elDia = document.getElementById('diaOcult').value;
	elMes = document.getElementById('mesOcult').value;
  	lAny = document.getElementById('anyOcult').value;
  	divVisi = document.getElementById('llistatVisites');
	
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/consultaVisites.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4)
	  {
	    divVisi.innerHTML = ajax.responseText
		divVisi.style.display="block";
	  }
 	}
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+elDia+"&mes="+elMes+"&any="+lAny)
}

function novaVisita(hora){  	
  	var linia = 'linia'+hora;
  	var editLinia = 'editaLinia'+hora;  	
	divLinia = document.getElementById(linia);
  	
	dia = document.getElementById('diaOcult').value;
  	mes = document.getElementById('mesOcult').value;
  	any = document.getElementById('anyOcult').value;
		
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/novaVisita.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4)
	  {
	    divLinia.innerHTML = ajax.responseText
	  }
 	}
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+dia+"&mes="+mes+"&any="+any+"&hora="+hora) 	
}

function insertVisita(hora){
  	var linia = 'linia'+hora;
  	var editLinia = 'editaLinia'+hora;  	
	divLinia = document.getElementById(linia);
  	  	
	dia = document.getElementById('diaOcult').value;
  	mes = document.getElementById('mesOcult').value;
  	any = document.getElementById('anyOcult').value;
  	cVisita = document.getElementById('campVisita').value;
	
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/insertVisita.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4){mostraVisites();}
 	} 	
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+dia+"&mes="+mes+"&any="+any+"&hora="+hora+"&laVisita="+cVisita) 		
}

function editaVisita(hora){
  	var linia = 'linia'+hora;
  	var editLinia = 'editaLinia'+hora;  	
  	var codi = 'codVis'+hora;
	divLinia = document.getElementById(linia);
  	
	dia = document.getElementById('diaOcult').value;
  	mes = document.getElementById('mesOcult').value;
  	any = document.getElementById('anyOcult').value;
  			
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/editaVisita.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4)
	  {
	    divLinia.innerHTML = ajax.responseText
	    divLinia.style.display="block";
	  }
 	}
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("dia="+dia+"&mes="+mes+"&any="+any+"&hora="+hora) 	
}

function updateVisita(codiVisita){  	
  	cVisita = document.getElementById('campVisita').value;
	
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/updateVisita.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4){mostraVisites();}
 	} 	
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("codiVisita="+codiVisita+"&laVisita="+cVisita) 		
}

function deleteVisita(codiVisita){
  		
	//instanciem objecteAjax
 	ajax=objecteAjax();
	
	ajax.open("POST", "./funcions/deleteVisita.php",true);  
	ajax.onreadystatechange=function()
	{
	  if (ajax.readyState==4){mostraVisites();}
 	} 	
 	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax.send("codiVisita="+codiVisita) 		
}